Update cost component
PATCH /events/{id}/cost-components/{cid}
PATCH
/events/{id}/cost-components/{cid}
Updates an existing cost component. The name will be automatically slugized to a valid SKU format.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The event ID
cid
required
string
The cost component ID to update
Request Body required
Section titled “Request Body required ”object
costComponent
required
object
name
required
Component name (will be slugized)
string
base
required
string
bucket
required
string
currency
required
string
recipient
required
string
payer
required
string
ops
Array<object>
object
op
string
value
number
enabled
boolean
Responses
Section titled “ Responses ”Successfully updated cost component
object
data
object
id
string
name
string
base
string
bucket
string
currency
string
recipient
string
payer
string
ops
Array<object>
object
op
string
value
number
enabled
boolean
Invalid cost component data
Unauthorized
Forbidden - cannot update platform/system components
Cost component not found